Skip to main content
`Ctrl`+`K`

# skbio.metadata.CategoricalMetadataColumn.filter_ids

CategoricalMetadataColumn.filter_ids(ids_to_keep)

  Filter metadata column by IDs.

  Parameters:
    ids_to_keep iterable of str

      IDs that should be retained in the filtered `MetadataColumn` object. If any IDs in ids_to_keep are not contained in this `MetadataColumn` object, a `ValueError` will be raised. The filtered `MetadataColumn` object will retain the same relative ordering of IDs in this `MetadataColumn` object. Thus, the ordering of IDs in ids_to_keep does not determine the ordering of IDs in the filtered `MetadataColumn` object.

  Returns:
    MetadataColumn

      The metadata column filtered by IDs.

  See also

  `get_ids`